Index: protocols/oscar/admin.c
===================================================================
--- protocols/oscar/admin.c	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
+++ protocols/oscar/admin.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -28,15 +28,18 @@
 			len = aimbs_get16(bs);
 
-			if ((type == 0x0011) || (type == 0x0004))
+			if ((type == 0x0011) || (type == 0x0004)) {
 				str = 1;
-
-			if (str)
-				val = (guint8 *)aimbs_getstr(bs, len);
-			else
+			}
+
+			if (str) {
+				val = (guint8 *) aimbs_getstr(bs, len);
+			} else {
 				val = aimbs_getraw(bs, len);
+			}
 
 			/* XXX fix so its only called once for the entire packet */
-			if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+			if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 				userfunc(sess, rx, (snac->subtype == 0x0005) ? 1 : 0, perms, type, len, val, str);
+			}
 
 			g_free(val);
@@ -49,5 +52,6 @@
 }
 
-static int accountconfirm(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
+static int accountconfirm(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac,
+                          aim_bstream_t *bs)
 {
 	aim_rxcallback_t userfunc;
@@ -56,6 +60,7 @@
 	status = aimbs_get16(bs);
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		return userfunc(sess, rx, status);
+	}
 
 	return 0;
@@ -65,8 +70,9 @@
 {
 
-	if ((snac->subtype == 0x0003) || (snac->subtype == 0x0005))
+	if ((snac->subtype == 0x0003) || (snac->subtype == 0x0005)) {
 		return infochange(sess, mod, rx, snac, bs);
-	else if (snac->subtype == 0x0007)
+	} else if (snac->subtype == 0x0007) {
 		return accountconfirm(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
@@ -79,5 +85,5 @@
 	mod->version = 0x0001;
 	mod->toolid = AIM_TOOL_NEWWIN;
-	mod->toolversion = 0x0629; 
+	mod->toolversion = 0x0629;
 	mod->flags = 0;
 	strncpy(mod->name, "admin", sizeof(mod->name));
@@ -93,6 +99,7 @@
 	aim_snacid_t snacid;
 
-	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10+4+strlen(curpw)+4+strlen(newpw))))
-		return -ENOMEM;
+	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10 + 4 + strlen(curpw) + 4 + strlen(newpw)))) {
+		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0007, 0x0004, 0x0000, NULL, 0);
@@ -100,8 +107,8 @@
 
 	/* new password TLV t(0002) */
-	aim_addtlvtochain_raw(&tl, 0x0002, strlen(newpw), (guint8 *)newpw);
+	aim_addtlvtochain_raw(&tl, 0x0002, strlen(newpw), (guint8 *) newpw);
 
 	/* current password TLV t(0012) */
-	aim_addtlvtochain_raw(&tl, 0x0012, strlen(curpw), (guint8 *)curpw);
+	aim_addtlvtochain_raw(&tl, 0x0012, strlen(curpw), (guint8 *) curpw);
 
 	aim_writetlvchain(&tx->data, &tl);
@@ -114,5 +121,5 @@
 
 /*
- * Request account confirmation. 
+ * Request account confirmation.
  *
  * This will cause an email to be sent to the address associated with
@@ -131,5 +138,5 @@
  * The only known valid tag is 0x0011 (email address).
  *
- */ 
+ */
 int aim_admin_getinfo(aim_session_t *sess, aim_conn_t *conn, guint16 info)
 {
@@ -137,6 +144,7 @@
 	aim_snacid_t snacid;
 
-	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 14)))
-		return -ENOMEM;
+	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 14))) {
+		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0002, 0x0002, 0x0000, NULL, 0);
@@ -157,15 +165,16 @@
 	aim_tlvlist_t *tl = NULL;
 
-	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10+2+2+strlen(newemail))))
-		return -ENOMEM;
+	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10 + 2 + 2 + strlen(newemail)))) {
+		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0007, 0x0004, 0x0000, NULL, 0);
 	aim_putsnac(&tx->data, 0x0007, 0x0004, 0x0000, snacid);
 
-	aim_addtlvtochain_raw(&tl, 0x0011, strlen(newemail), (guint8 *)newemail);
-	
+	aim_addtlvtochain_raw(&tl, 0x0011, strlen(newemail), (guint8 *) newemail);
+
 	aim_writetlvchain(&tx->data, &tl);
 	aim_freetlvchain(&tl);
-	
+
 	aim_tx_enqueue(sess, tx);
 
@@ -179,18 +188,19 @@
 	aim_tlvlist_t *tl = NULL;
 
-	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10+2+2+strlen(newnick))))
-		return -ENOMEM;
+	if (!(tx = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10 + 2 + 2 + strlen(newnick)))) {
+		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0007, 0x0004, 0x0000, NULL, 0);
 	aim_putsnac(&tx->data, 0x0007, 0x0004, 0x0000, snacid);
 
-	aim_addtlvtochain_raw(&tl, 0x0001, strlen(newnick), (guint8 *)newnick);
-	
+	aim_addtlvtochain_raw(&tl, 0x0001, strlen(newnick), (guint8 *) newnick);
+
 	aim_writetlvchain(&tx->data, &tl);
 	aim_freetlvchain(&tl);
-	
-	aim_tx_enqueue(sess, tx);
-
-
-	return 0;
-}
+
+	aim_tx_enqueue(sess, tx);
+
+
+	return 0;
+}
